<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

## Les origines du DevOps

Le DevOps s'est essentiellement construit autour de l'_Agilité_ et du _Lean_.


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### L'Agilité

- Méthodes pour répondre au besoin : __comment s'organiser pour développer des produits complexes ?__
- Organisation en **Sprint**

![agilecycle](images/cycle_agile.svg) <!-- .element: width="100%" -->


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### L'Agilité : 4 valeurs

- La cohésion d'équipe

- La production d'application fonctionnelle

- La collaboration avec le client

- L'acceptation du changement


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### L'Agilité : 12 principes

![principeagile](images/principes_agile.svg) <!-- .element: width="70%" -->


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### Emprunts du DevOps à l'agilité

- Cohésion et Communication  
<small>(entre développeur et opérationnel)</small>

- Collaboration  
<small>(développeur, opérationnel, business, client, ...)</small>

- Livraisons rapides et régulières  
<small>(jusqu'à la mise en production)</small>

- Confiance et bienveillance

- Réactivité au changement

- Satisfaction client


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Le Lean Management du monde industriel

- Repose sur 5 grands principes (5P)

![5Plean](images/lean.svg) <!-- .element: width="30%" -->

- `Produit` <small>- conception au plus juste d’un produit (MVP = Minimum Valuable Product).</small>
- `Process` <small>- automatiser les tâches répétitives, amélioration continue</small>
- `Personnel` <small>- autonomie et efficacité dans le travail</small>
- `Performance` <small>- mesurer le progrès et combattre inefficacité</small>
- `Pilotage` <small>- logique de flux tiré (juste à temps), niveller la production (juste ce qu'il faut)</small>


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Emprunts du DevOps au Lean

- Automatisation des tâches répétitives

- Amélioration continue

- Mesure des difficultés et des progrès

- Efficacité dans le travail
