<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

## Constats du travail en Silo


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### Deux mondes opposés

Dev vs Ops

![versus](images/versus-retro-style.jpg) <!-- .element: width="50%" -->


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### Le monde du Dev

But des développeurs :

- Créer de nouveaux logiciels/librairies

- Développer des nouvelles fonctionnalités

- Améliorer le code existant (performance, élégance, maintenabilité)

- Versionner du code

- Tester facilement


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### Le monde du Dev

- Organisé en sprint (Agilité)

- Changement fréquent de l'application


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### Le monde du Dev

Impacts possibles :

- sécurité

- stabilité

- performances

- l'introduction de bug

- mise à jour et/ou réinstallation d'application

- augmentation des ressources systèmes utilisées


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Le monde de l'Ops

Objectifs :

- déployer et maintenir des plateformes
  * stables,
  * sécurisées
  * performantes

- administrer facilement les plateformes

- avoir de la visibilité sur les incidents qui surviennent, voire anticiper l'arrivée des incidents (monitoring)

- pouvoir réparer rapidement (procédures)


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Le monde de l'Ops

- Généralement organisé via des outils de ticketing (ITIL)

- Tout changement doit être motivé et tamponné (objectif : stabilité)


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Le monde de l'Ops

Impacts possibles :

- Manque de réactivité sur les nouvelles demandes

- Contraintes fortes liées à la sécurité

- Peu (voir pas) de retour d'informations vers les Dev


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### En résumé

<!-- .slide: data-state="nologo-slide" style="text-align: center" -->
![dzon](images/people_twin.svg) <!-- .element: width="60%" -->


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### Petites phrases de Devs...

- "Ça marche sur mon poste, donc ça doit fonctionner sur la VM..."

- "Comment ça quelle version de Java ? La dernière…"

- "C’est quoi ton serveur moisi ?"

- "C'est pas mon code le problème, c'est la VM"


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Petites phrases d'Ops

- "Ton code est vraiment tout pourri, c'est pas optimisé !"

- "Pas touche à mes plateformes !"

- "C'est pas la VM le problème, c'est ton application"

- "On ne peut pas faire confiance aux Devs !"


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

<!-- .slide: data-state="nologo-slide" style="text-align: center" -->
Constat n°1 : Le monde du dev ne comprend pas le monde de l'ops.  

![wall](images/wallofconfusion.svg) <!-- .element: width="50%" -->

Constat n°2 : Le monde de l'ops ne comprend pas le monde du dev.


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### Mise en lumière des problèmes avec l'Agilité

- 2 semaines d'intégration tous les 6 mois, ce n'est pas choquant

- 2 semaines d'intégration toutes les 2 semaines (sprint) ça commence à devenir problématique

- On veut que lorsque la user story est finie, qu'elle soit vraiment finie !


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Mise en lumière des problèmes avec l'ITIL

- Il peut se passer (très) longtemps entre le commit et le déploiement en production

- La mise en production est un réel événement

- La mise en production sollicite un grand nombre de personnes
