<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

## Le DevOps


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Ce que n'est pas le DevOps

- une nouvelle technologie

- un nouveau métier ou nouvelle fonction dans l’entreprise

- une personne


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Une petite définition DevOps

>Le DevOps est une démarche visant l'adoption d'une _même culture dev et ops_ autour de méthodologies de travail et d'outils dans le but commun d'une _amélioration continue_ :
* de la productivité
* de la stabilité des process de développement (ci),
* de la qualité,
* et de la mise en production.


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

Il y a souvent une confusion entre __culture__ et __profil__ DevOps

Le DevOps est une __culture__.


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### Le But

Le DevOps veut réconcilier ces deux mondes pour les faire travailler ensemble dans le but d'améliorer :

- le Time To Market (TTM)

- la qualité des développements

- la fiabilité des déploiements

![collaborate](images/collaborate.svg) <!-- .element: width="30%" -->


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### Les Concepts

Le DevOps se base sur le modèle **CALMS** :  
- **C** ulture commune  

- **A** utomatisation des tâches répétitives  

- **L** ean <small>(Amélioration Continue)</small>

- **M** esure  

- **S** olidarité et partage  


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### CALMS - la Culture

- Favorise la communication

- Réduit les incompréhensions

- Permet de mener un changement d'organisation et/ou de méthodologie

- Entretien l'esprit d'équipe et la motivation

- La productivité


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### CALMS - l'Automatisation

- Automatiser tout ce qui peut l'être  
  <small>Builds • Tests • Packaging • Cloud • Déploiements • Configuration • Chaos monkey</small>

- Assure la reproductibilité des actions

- Apporte de la traçabilité

- Évite les erreurs humaines

- Augmente la productivité

- Libère du temps pour les tâches à plus fortes valeurs ajoutées


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### CALMS - le Lean

- C'est une théorie de gestion inventée par Toyota

- Vise une recherche constante de la performance et de la qualité

Le __Lean__ permet de :

- supprimer les éléments inutiles et/ou complexes

- trouver des solutions d'amélioration

- résoudre les problèmes et d'en tirer les enseignements

- produire "juste ce qu'il faut" "juste à temps"


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### CALMS - la Mesure

- Identification des problèmes, des points d'améliorations,  
  mais aussi des réussites

- Identification des ressources utilisées, de la stabilité globale d'une plateforme



<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### CALMS - la Solidarité

- Favorise la collaboration

- Favorise l'esprit d'équipe

- Amélioration du bien-être des personnes

- Amélioration de la productivité


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### CALMS - le Partage

- De l'information

- Des échecs et succès (rétros)

- Des responsabilités

- Des visions (opérationnelle, stratégique)

- Des techniques (outillage)

- Des expériences
