<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

## La pratique du Devops


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### La démarche

La démarche DevOps, c'est l'Agilité et l'amélioration continue  
de bout en bout :

![devops_scope](images/devops-scope.svg) <!-- .element: width="150%" -->


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### La démarche

Comparaison avec d'autres méthodologies :

![demarche](images/waterfall_agile_devops.svg) <!-- .element: width="90%" -->


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Cycle Agile VS Cycle DevOps
<!-- .slide: data-state="nologo-slide" style="text-align: center" -->

![cycle_agile](images/cycle_agile.svg) <!-- .element: width="90%" -->

![cycle_devops](images/devops-toolchain-refactor.svg) <!-- .element: width="45%" -->


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### L'outillage
<!-- .slide: data-state="nologo-slide" -->
- `Plan` (Amélioration Continue)  
![confluence](images/confluence.png)<!-- .element: width="50px" height="50px" --> ![trello](images/trello.png)<!-- .element: width="70px" height="50px" --> ![gitlab](images/gitlab.jpeg)<!-- .element: width="50px" height="50px" -->
- `Code`  
![vscode](images/vscode.jpeg)<!-- .element: width="50px" height="50px" --> ![github](images/github.png)<!-- .element: width="50px" height="50px" --> ![gitlab](images/gitlab.jpeg)<!-- .element: width="50px" height="50px" -->
- `Build` (Intégration Continue)  
![jenkins](images/jenkins.png)<!-- .element: width="50px" height="50px" --> ![travis](images/travis.png)<!-- .element: width="50px" height="50px" --> ![gitlab](images/gitlab.jpeg)<!-- .element: width="50px" height="50px" -->
- `Test` (Intégration Continue)  
![selenium](images/selenium.png)<!-- .element: width="40px" height="40px" --> ![sonar](images/sonar.png)<!-- .element: width="70px" height="50px" --> ![checkmark](images/checkmarx.png)<!-- .element: width="70px" height="50px" -->


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### L'outillage (suite)
- `Release` (Livraison Continue)  
![jenkins](images/jenkins.png)<!-- .element: width="50px" height="50px" --> ![travis](images/travis.png)<!-- .element: width="50px" height="50px" --> ![gitlab](images/gitlab.jpeg)<!-- .element: width="50px" height="50px" -->
- `Deployment` (Déploiment continu)  
![puppet](images/puppet.png)<!-- .element: width="70px" height="30px" --> ![ansible](images/ansible.png)<!-- .element: width="50px" height="50px" --> ![k8s](images/kubernetes.png)<!-- .element: width="70px" height="70px" -->
- `Operate` (Déploiment continu)  
![bash](images/bash.png)<!-- .element: width="50px" height="40px" --> ![terraform](images/terraform.png)<!-- .element: width="60px" height="60px" --> ![k8s](images/kubernetes.png)<!-- .element: width="70px" height="70px" -->
- `Monitor` (Amélioration Continue)  
![kibana](images/kibana.jpeg)<!-- .element: width="60px" height="50px" --> ![grafana](images/grafana.jpeg)<!-- .element: width="50px" height="50px" --> ![prometheus](images/prometheus.jpeg)<!-- .element: width="60px" height="50px" -->


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### L'outillage

![xebialab](images/periodic_table_devops.png)
