<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

## Mise en place du Devops


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 
### DevOps et organisation

- Il n'existe pas de système d'organisation universel  
pour mettre en place le DevOps

- Vous seul pouvez définir ce que DevOps signifie pour vous

- Le DevOps ne se résume pas uniquement à  l'automatisation via des outils

- La démarche implique un changement de paradigme  
<small>(modèle orienté projet => modèle orienté produit)</small>


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 
### La Finalité

- La transmission du savoir-faire

- Meilleur usage des infrastructures

- Simplicité

- Satisfaction client

- Réduction du TTM

- La mise en production doit devenir un non-évènement


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 
### Les clefs du succès

- Apporter de l'énergie, proactivité et désir de connaissances

- Favoriser le travail d'équipe, se faire confiance, être bienveillant, se laisser le droit à l'erreur

- Partager les responsabilités, les problématiques, les succès et les échecs

- Optimiser l'environnement de travail pour favoriser le bien être et la productivité

- Encourager un management plus transparent


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Anti patterns


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Equipe Dev sans les Ops
<!-- .slide: data-state="nologo-slide" style="text-align: center" -->
![team_without_ops](images/devops-topologies-anti-type-c-dev-don-t-need-ops.svg) <!-- .element: width="70%" -->


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Equipe Sysadmin avec un autre nom
<!-- .slide: data-state="nologo-slide" style="text-align: center" -->
![team_rename](images/devops-topologies-anti-type-e-rebranded-sysadmin.svg) <!-- .element: width="70%" -->


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Equipe DevOps en silo
<!-- .slide: data-state="nologo-slide" style="text-align: center" -->
![team_silo](images/devops-topologies-anti-type-b-devops-team-silo.svg) <!-- .element: width="70%" -->


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Patterns


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Collaboration Dev et Ops
<!-- .slide: data-state="nologo-slide" style="text-align: center" -->
![team_collaborate](images/devops-topologies-type-1-dev-and-ops-collaboration.svg) <!-- .element: width="60%" -->


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Partage complet des responsabilités  
### entre Dev et Ops

<!-- .slide: data-state="nologo-slide" style="text-align: center" -->
![team_shared_responsability](images/devops-topologies-type-2-fully-shared-ops-responsabilities.svg) <!-- .element: width="40%" -->


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Evangélisation Devops
<!-- .slide: data-state="nologo-slide" style="text-align: center" -->
![team_evangelist](images/devops-topologies-type-6-devops-evangelists-team.svg) <!-- .element: width="70%" -->
