## Conclusion


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Le DevOps implique

- une nouvelle façon de travailler ensemble

- une nouvelle organisation

- l'utilisation d'outils adaptés aux besoins

- de l'ouverture d'esprit, de la remise en question et éventuellement de la formation des équipes


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### Pour le mettre en place, il faut

- une conduite du changement pour faire évoluer les comportements et les mentalités

- redéfinir le rythme via de nouveaux rituels en se basant par exemple sur l'Agilité

- tout le monde doit être acteur de la transformation (dev, ops, manager, métier, ...)

- ne pas avoir peur de l’échec, appendre de ces erreurs et s'améliorer en continue


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### DevOps et au-delà...

- DevSecOps

- SRE (Site Reliability Engineering)


<img src="images/alexan.jpg" width="30px" style="position: fixed; right: 0" /> 

### Meetups

- Devops Container:  
<small>https://www.meetup.com/fr-FR/devops-containers/</small>
- Docker Paris:  
<small>https://www.meetup.com/fr-FR/Docker-Paris/</small>
- Git Paris:  
<small>https://www.meetup.com/fr-FR/git-Paris/</small>
- Kubernetes Paris:  
<small>https://www.meetup.com/fr-FR/Kubernetes-Paris/</small>
- CNCF Paris:  
<small>https://community.cncf.io/paris/</small>
- Rennes Devops:  
<small>https://www.meetup.com/fr-FR/rennes-devops/</small>
- Nantes Devops:  
<small>https://www.meetup.com/fr-FR/Nantes-DevOps/?_locale=fr-FR</small>


<img src="images/chris.png" width="30px" style="position: fixed; right: 0" /> 

### Liens utiles:

- Blog tech de la communauté DevOps:  
<small>https://sii-ouest.gitlab.io/devops/blog/articles/demystfication-du-devops/item/</small>
- Blog tech et formation:  
<small>https://enix.io/</small>
- Tuto de Xavki:  
<small>https://xavki.blog/</small>
- Podcast des compagnons du DevOps et de radio DevOps:    
<small>https://lydra.fr/blog/</small>
- Podcast et interview de Dev’Obs:  
<small>https://devobs.p7t.tech/</small>
- Interview tech de Electro Monkeys:  
<small>https://podcast.electro-monkeys.fr/</small>
- Les vidéos DevOps et tech de Krustyhack:  
<small>https://www.youtube.com/channel/UCM0mnsNbecIi_IAPXtHb-TA</small>



## Des questions ?
